Highlighted
Absent Member.
Absent Member.
1543 views

Error Installing a secure iPrint printer Mac 10.7/10.8

Problem:
I want to install a secure iPrint printer from a web page /ipp on a Mac 10.7 or Mac 10.8.

Situation:
When installing a secure iPrint printer to clean Mac 10.7 or Mac 10.8 with the iPrint Client for Mac version 5.72, the following error is returned in a window:
iPrinter encountered a problem trying to install the printer
iPrint Client – The request contained bad syntax.

Information:
This error only occurs when installing the printer via the /ipp web page Firefox or Safari, and strange If I instead use the iprntcmd tool then I get no error!
If I turn the secure iPrint off on the same printer then I can install the printer via the /ipp on a Mac 10.7 and 10.8.
When I install a secure iPrint printer to a Mac 10.6 with Client 5.06 via the /ipp I have no problem.

I am running a OES11SP0 SLES11SP1 server. I can't upgrade OES11SP1 as I’m also running a counting program named Pcounter that atm needs to be on SP0 and is certified with novell-iprint-server-6.4.20121206-0.2.1 version.
novell-iprint-iprntman-wrapper-1.0.0-14.12
yast2-novell-iprint-2.14.9-12.66
novell-iprint-management-6.4.20121206-0.2.1
novell-iprint-migration-6.4.20121204-0.5.1
novell-iprint-client-6.4.20121207-0.2.1
novell-iprint-iprntman-6.4.20121108-0.2.23
supportutils-plugin-iprint-1.1-25.1
novell-iprint-server-6.4.20121206-0.2.1

Best Regards
Lars Adelvard
DMJX
0 Likes
4 Replies
Highlighted
Knowledge Partner
Knowledge Partner

Re: Error Installing a secure iPrint printer Mac 10.7/10.8

On 27/05/2013 15:36, adelvard wrote:

> Problem:
> I want to install a secure iPrint printer from a web page /ipp on a Mac
> 10.7 or Mac 10.8.


Which specific versions of OS X Lion and Mountain Lion are you using?
10.7.? 10.8.?

> Situation:
> When installing a secure iPrint printer to clean Mac 10.7 or Mac 10.8
> with the iPrint Client for Mac version 5.72, the following error is
> returned in a window:
> iPrinter encountered a problem trying to install the printer
> iPrint Client � The request contained bad syntax.
>
> Information:
> This error only occurs when installing the printer via the /ipp web
> page Firefox or Safari, and strange If I instead use the iprntcmd tool
> then I get no error!
> If I turn the secure iPrint off on the same printer then I can install
> the printer via the /ipp on a Mac 10.7 and 10.8.
> When I install a secure iPrint printer to a Mac 10.6 with Client 5.06
> via the /ipp I have no problem.


Which versions of Firefox and Safari are you using?

> I am running a OES11SP0 SLES11SP1 server. I can't upgrade OES11SP1 as
> I�m also running a counting program named Pcounter that atm needs to be
> on SP0 and is certified with novell-iprint-server-6.4.20121206-0.2.1
> version.
> novell-iprint-iprntman-wrapper-1.0.0-14.12
> yast2-novell-iprint-2.14.9-12.66
> novell-iprint-management-6.4.20121206-0.2.1
> novell-iprint-migration-6.4.20121204-0.5.1
> novell-iprint-client-6.4.20121207-0.2.1
> novell-iprint-iprntman-6.4.20121108-0.2.23
> supportutils-plugin-iprint-1.1-25.1
> novell-iprint-server-6.4.20121206-0.2.1


So Pcounter is not only preventing you from upgrading from OES11 to
OES11 SP1 but also from updating your server with later iPrint packages
(latest novell-iprint-server package is 6.4.20130213-0.2.11 included in
April 2013 Scheduled Maintenance patch released at the beginning of May)?

You should be aware that defect support for OES11 (the specific version
SP0 as opposed to OES11 the product) ends on 28 August 2013, one year
after OES11 SP1 became available. I guess you might want to let A.N.D.
Technologies know that.

HTH.
--
Simon
Novell Knowledge Partner

------------------------------------------------------------------------
Do you work with Novell technologies at a university, college or school?
If so, your campus could benefit from joining the Technology Transfer
Partner (TTP) program. See novell.com/ttp for more details.
------------------------------------------------------------------------
0 Likes
Highlighted
Absent Member.
Absent Member.

Re: Error Installing a secure iPrint printer Mac 10.7/10.8

Problem solved by myself, damn I’m good finding and solving bugs 😉

There is a bug in Mac iPrint client 5.72 that runs on the Mac 10.7/10.8. This Client dos not allow big capitals in the DNS name associated to the Print Manage 😞

I have changes my cname from Print-Manager-SRV2-AAR.dmjx.dk to print-manager-srv2-aar.dmjx.dk in the /etc/opt/novell/iprint/conf/ipsmd.conf file and the good news all printers stays on the Workstations (Mac or Windows) and they also works after this changes. Now I can use the /ipp web page Firefox/Safari on a Mac 10.7.x and 10.8.x without any errors.

Question to the support soon ends on OES11SP0:
Will the Maintenance patch release continue after the support ends? And how long?

/Lars
0 Likes
Highlighted
Knowledge Partner
Knowledge Partner

Re: Error Installing a secure iPrint printer Mac 10.7/10.8

On 31/05/2013 13:56, adelvard wrote:

> Problem solved by myself, damn I�m good finding and solving bugs 😉
>
> There is a bug in Mac iPrint client 5.72 that runs on the Mac
> 10.7/10.8. This Client dos not allow big capitals in the DNS name
> associated to the Print Manage 😞
>
> I have changes my cname from Print-Manager-SRV2-AAR.dmjx.dk to
> print-manager-srv2-aar.dmjx.dk in the
> /etc/opt/novell/iprint/conf/ipsmd.conf file and the good news all
> printers stays on the Workstations (Mac or Windows) and they also works
> after this changes. Now I can use the /ipp web page Firefox/Safari on a
> Mac 10.7.x and 10.8.x without any errors.


How very odd and well done for troubleshooting it. Thanks for reporting
back your findings.

> Question to the support soon ends on OES11SP0:
> Will the Maintenance patch release continue after the support ends? And
> how long?


Pass. I do know the Scheduled Maintenance patches for OES2 SP2 stopped
being published approximately one year after OES2 SP3 was released.

You should certainly be planning on upgrading your OES11 (SP0) server(s)
to OES11 SP1 and I would hope A.N.D. Technologies are already working on
supporting Pcounter with that version (and latest patches).

HTH.
--
Simon
Novell Knowledge Partner

------------------------------------------------------------------------
Do you work with Novell technologies at a university, college or school?
If so, your campus could benefit from joining the Technology Transfer
Partner (TTP) program. See novell.com/ttp for more details.
------------------------------------------------------------------------
0 Likes
Highlighted
Absent Member.
Absent Member.

Re: Error Installing a secure iPrint printer Mac 10.7/10.8

Hi

Just bursting straight in here but I have Pcounter running on a newly installed and patched OES. Point being that it wouldn't stop Pcounter to update....I hope 😛

New to OES but here is output of /etc/novell-release
Novell Open Enterprise Server 11 (x86_64)
VERSION = 11.1
PATCHLEVEL = 1

/C
0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.